<?php
include_once '../../sys/fnc.php';

if (!isset($user)) header('Location: /');

$title = 'Рефералы';
include_once '../../sys/head.php';
echo '<div class="menu_link">Реферальная система </div>
<div class="post0">';

$num = mysql_num_rows(mysql_query("select * from `userref` WHERE `user_id` = '".$user->id."'"));

echo '<div class="post">';

echo 'Мои рефералы: <b>'.$num.'</b><br/>';
echo 'Ваша ссылка для привлечения: http://'.$_SERVER['SERVER_NAME'].'/reg?id_ref='.$user->id.'<br/>';
echo 'За каждого привлеченного пользователя который будет оплачивать услуги, с каждой оплаты будет начисляться <b>5% от суммы оплаты.</b> <br/>';


echo '</div>';

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `userref` WHERE `user_id` = '".$user->id."'"), 0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
$q = mysql_query("SELECT * FROM `userref` WHERE `user_id` = '".$user->id."' ORDER BY `time` DESC LIMIT $start, 10");

echo '<div class="post">';

if ($k_post==0)
{

echo 'Список пустой<br/>';

}else{

while ($refs = mysql_fetch_array($q))

{

$ank = mysql_fetch_array(mysql_query("select `login` from `user` WHERE `id` = '".$refs['user_id']."'"));

echo '<a href="/user'.$refs['user_id'].'">'.$ank['login'].'</a><br/>';
echo 'Отправил заказ: '.ptime($refs['time']).'<br/>';
echo 'Ваша часть: <b>'.$refs['profit_suma'].' Rub</b><br />';

}

if ($k_page>1)str("?",$k_page,$page);

}

echo '</p></div></div></div>';

include_once '../../sys/foot.php';
?>